Bug 24619 - Не запускается после обновления Perl
: Не запускается после обновления Perl
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/perl-Gtk2)
: unstable
: all Linux
: P3 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2010-11-22 23:32 by
Modified: 2010-11-28 21:28 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-11-22 23:32:49
С большим сожалением обнаружил, что zim перестал запускаться. Связываю это с
обновлением Perl.

[c0der@rock ~]$ zim
[c0der@rock ~]$ Gtk-CRITICAL **: IA__gtk_accel_group_connect: assertion
`accel_key > 0' failed at /usr/lib/perl5/vendor_perl/Zim/GUI/PageView.pm line
346.
Gtk-CRITICAL **: IA__gtk_accel_group_connect: assertion `accel_key > 0' failed
at /usr/lib/perl5/vendor_perl/Zim/GUI/PageView.pm line 347.
Wide character in subroutine entry at /usr/lib/perl5/Encode.pm line 172.

И всё...
------- Comment #1 From 2010-11-28 11:05:58 -------
perl-Gtk2-1.222-alt2 -> sisyphus:

* Sun Nov 28 2010 Vladimir Lettiev <crux@altlinux> 1.222-alt2
- merge commits from upstream branch stable-1-22:
  + fixed Gtk2::Gdk::Keysyms with gtk+ 2.22 (Closes: #24619)
  + fixed failing tests
------- Comment #2 From 2010-11-28 19:05:45 -------
[c0der@rock ~]$ rpm -q perl-Encode perl-Gtk2
perl-Encode-2.40-alt1
perl-Gtk2-1.222-alt2

Часть ошибок ушла, но всё равно не запускается:

[c0der@rock ~]$ zim
[c0der@rock ~]$ Wide character in subroutine entry at /usr/lib/perl5/Encode.pm
line 172.
------- Comment #3 From 2010-11-28 21:08:05 -------
Это уже вероятно проблема в самом zim.
У меня не получается воспроизвести проблему, похоже это как-то зависит от
данных.
------- Comment #4 From 2010-11-28 21:21:12 -------
Прошу прощения. Это действительно был local misconfiguration. (Недавно
переносил записи из zim в Dropbox и в процессе неправильно расставил
символические ссылки. Поправил и zim запустился.)
------- Comment #5 From 2010-11-28 21:28:49 -------
P.S. Но толком не работает :( В рантайме позже возвращает ошибку такую же.
Связываю это с тем, что у меня локаль CP1251, zim насоздавал в ФС названия на
русском, но в UTF-8, а теперь сам же и глючит.